
services:
  sync:
    image: dokku/wait
    links:
      - auth
      - dird
      - db
    environment:
      - INTEGRATION_TEST_TIMEOUT
    command: "-c db:5432,auth:9497,dird:9489 -t ${INTEGRATION_TEST_TIMEOUT:-30}"
  dird:
    image: xivoxc/xivo-dird-test
    links:
      - auth
      - db
    ports:
      - "9489:9489"
    volumes:
      - "./etc/xivo-dird/config.yml:/etc/xivo-dird/config.yml"
      - "./etc/xivo-dird/sources.d:/etc/xivo-dird/sources.d"
      - "../../..:/usr/src/xivo-dird"
      - "./ssl:/usr/local/share/ssl"
  auth:
    image: p0bailey/docker-flask
    ports:
      - "9497:9497"
    volumes:
      - "./auth_data:/tmp"
      - "./ssl:/usr/local/share/ssl"
    command: "python /tmp/mock-xivo-auth.py 9497"
  db:
    image: xivoxc/xivo-db-test
    environment:
      POSTGRES_PASSWORD: dirdtests
    ports:
      - "5432"
networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: 172.16.94.80/28
